#!/bin/csh

# SUN C++, NAG F90, MPICH/P4

set MPICH_HOME = $1
set CCLIB_HOME = $2

set MPICH_ARCH = `tarch`

configure -mpiinc=${MPICH_HOME}/include \
          -mpilib="-lmpi" \
          -f90=nag \
          -c++com="CC" \
          -c++lib="${CCLIB_HOME}/libC.a" \
          -lnkcom="f90 -L${MPICH_HOME}/lib/${MPICH_ARCH}/ch_p4"

# Comments:
#
#      Tested under:
#           SunOS Release 4.1.2
#           NAGWare f90 compiler Version 2.1(554)
#           C++ 2.1 (?)
#           MPICH (?)
#
#      `$MPICH_HOME' is the home directory for the MPICH installation.
#
#      `$CCLIB_HOME' is the directory containing `libC.a'.
#
#      It ought to be possible to link in the C++ libraries by specifying 
#             -c++lib="-lC" \
#             -lnkcom="f90 -L${CCLIB_HOME}"
#           Unverified.

